Subject: Re: [RFC] Device tree for new desktop platform in arch/powerpc

From: "Gerhard Pircher" <[email-masked]>
Date: Mon, 18 Jun 2007 21:43:59 +0200

-------- Original-Nachricht --------
Datum: Mon, 18 Jun 2007 12:15:29 -0700
Von: "Mark A. Greer" <[email-masked]>
An: Gerhard Pircher <[email-masked]>
CC: [email-masked], "list <linuxppc-dev"@ozlabs.org
Betreff: Re: [RFC] Device tree for new desktop platform in arch/powerpc

> On Mon, Jun 18, 2007 at 08:57:15PM +0200, Gerhard Pircher wrote:
> 
> > 1. The AmigaOne makes use of different G3...
> 
> I'm far from an authoritative figure on this but making a
> reasonable default (in your dts file) then updating in the 
> bootwrapper makes sense to me.  That's what I did for several 
> properties in the prpmc2800's dts.
So, the bootwrapper should update the name property of the CPU node. Is the cpu node name used somewhere?

> > If so, where should I specify the register address ranges (reg
> > property)? In the PCI device node or in the ISA device nodes,
> > as it is now?
> 
> Each device's node should have a reg property for its registers.
> You'll need a ranges property for the pci-isa bridge as well.
Ah yes, didn't think about that.

> P.S. You should change email clients of fix the one you're using
> to break lines up so they don't wrap in a std 80 char line 
> window.
Yeah, sorry. Forgot about that when writing the mail.

Gerhard
-- 
Ist Ihr Browser Vista-kompatibel? Jetzt die neuesten 
Browser-Versionen downloaden: http://www.gmx.net/de/go/browser